Docker Engine
=========

Docker engine installation on Ubuntu 24.04.

Requirements
------------

No requirements.

Role Variables
--------------

Docker daemon options to pass to dockerd command (default: undefined):  
`docker_daemon_run_options: "--dns 1.1.1.1 --dns 1.0.0.1"`

Dependencies
------------

No dependencies.

Example Playbook
----------------

```
---
- hosts: goapp

  pre_tasks:
    - name: Update apt cache.
      ansible.builtin.apt:
        update_cache: true
        cache_valid_time: 86400

  roles:
    - role: cuqmbr.docker
```

TODO
----------------

Add support for other Linux distrubitions:

- RHEL: Almalinux, RockyLinux 9 and 8
- Debian: Debian 12 and 11, Ubuntu 24.04 and 22.04
- Archlinux
